Check-in [49f23f3d31]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:49f23f3d31c9a80413141f63643813d8c6891892
Date: 2012-07-22 08:13:38
User: BarryK
Comment:build puppy for raspi from raspbian pkgs, pre-alpha, get desktop but some things broken

Tags And Properties
Changes

Changes to merge2out

@@ -341,10 +341,11 @@
  [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
  [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #built entirely from pet pkgs.
  [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
  [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm"
  [ "$DISTRO_BINARY_COMPAT" = "gentoo" ] && BINARIES="gentoo" #120515 download to packages-gentoo-gap6
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
  BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}"
 
  mkdir -p ../local-repositories/${TARGETARCH}/packages-${BINARIES}
  [ ! -e ../woof-out_${HOSTARCH}_${TARGETARCH}_${COMPATDISTRO}_${COMPATVERSION}/packages-${BINARIES} ] && ln -s ../local-repositories/${TARGETARCH}/packages-${BINARIES} ../woof-out_${HOSTARCH}_${TARGETARCH}_${COMPATDISTRO}_${COMPATVERSION}/packages-${BINARIES} #111203 check exist.
 fi

Changes to woof-code/1download

@@ -64,11 +64,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #w018 built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #110523 Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm" #110615
 [ "$DISTRO_BINARY_COMPAT" = "gentoo" ] && BINARIES="gentoo" #120515 download to packages-gentoo-gap6
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}" #w478
 
 mkdir -p packages-${BINARIES}
 mkdir -p packages-pet
 

Changes to woof-code/2createpackages

@@ -31,10 +31,11 @@
 #120515 build from "gentoo" binary tarballs (refer support/gentoo).
 #120517 export DISTRO_BINARY_COMPAT so can reference in FIXUPHACK scripts.
 #120628 fix Categories= assignment in .desktop files. see also usr/local/petget/installpkg.sh.
 #120719 support raspbian.
 #120720 raspbian wheezy has files in /lib/arm-linux-gnueabihf and /usr/lib/arm-linux-gnueabihf
+#120721 support ubuntu and debian arm multiarch.
 
 export LANG=C #faster.
 
 . /etc/xdg/menus/hierarchy #w478 has PUPHIERARCHY variable.
 
@@ -66,19 +67,33 @@
   ;;
   *)
    case $WOOF_TARGETARCH in
     x86) ARCHDIR='i386-linux-gnu' ;;
     x86_64) ARCHDIR='x86_64-linux-gnu' ;;
-    arm) #120720
-     case $WOOF_COMPATDISTRO in #see file WOOFMERGEVARS
-      raspbian) ARCHDIR='arm-linux-gnueabihf' ;;
-     esac
-    ;;
    esac
   ;;
  esac
 fi
+case $WOOF_TARGETARCH in #120720 120721
+ arm)
+  case $WOOF_COMPATDISTRO in #see file WOOFMERGEVARS
+   raspbian) ARCHDIR='arm-linux-gnueabihf' ;; #different from debian/ubuntu, compiled for armv6 hf.
+   debian)
+    case $WOOF_COMPATVERSION in
+     squeeze) true ;; #old release
+     *) ARCHDIR='arm-linux-gnueabihf' ;;
+    esac
+   ;;
+   ubuntu)
+    case $WOOF_COMPATVERSION in
+     jaunty|karmic|lucid) true ;; #old releases.
+     *) ARCHDIR='arm-linux-gnueabihf' ;;
+    esac
+   ;;
+  esac
+ ;;
+esac
 
 #w469 modify compat-distro fallback list...
 if [ "$FALLBACKS_COMPAT_VERSIONS" != "" ];then
  FALLBACKS_COMPAT_VERSIONS="`echo -n "$FALLBACKS_COMPAT_VERSIONS" | grep -o "${DISTRO_COMPAT_VERSION}.*"`"
  #ex: 'koala jaunty intrepid' gets reduced to 'jaunty intrepid' if DISTRO_COMPAT_VERSION=jaunty
@@ -91,11 +106,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #w018 built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #110523 Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm" #110615
 [ "$DISTRO_BINARY_COMPAT" = "gentoo" ] && BINARIES="gentoo" #120515 download to packages-gentoo-gap6
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}" #w478
 
 #the files that have compatible-distro pkg docs (these were downloaded by 0setup)...
 echo "Preprocessing $DISTRO_BINARY_COMPAT $DISTRO_COMPAT_VERSION pkgs database..."
 PKGLISTS_COMPAT="`echo "$PKG_DOCS_DISTRO_COMPAT" | tr ' ' '\n' | cut -f 3 -d '|' | tr '\n' ' '`" #see file DISTRO_PKGS_SPECS-ubuntu

Changes to woof-code/3builddistro

@@ -126,10 +126,11 @@
 #120707 change relatime to noatime. see also rc.sysinit.
 #120708 added BOOT_QUICKSETUP='quickarm'. quickarm is symlink to /usr/sbin/quicksetup. leave out X config frame for arm boards.
 #120709 fix for pci.ids and usb.ids in "wrong" place. new BOOT_UDEVDCHILDREN.
 #120714 revert 120708. instead, BOOT_BOARD (= raspi, mele, odroidx, etc.) read by quicksetup.
 #120720 raspbian wheezy has files in /lib/arm-linux-gnueabihf and /usr/lib/arm-linux-gnueabihf
+#120721 support ubuntu and debian arm multiarch.
 
 #v431 accepts passed params, from woof_gui_tabs:
 #$1=$CHOICE_KERNELPKG $2=$CHOICE_SCSI $3=$CHOICE_BIGMODEM $4=$CHK_FB_STATE $5=$CHK_EXOTIC_STATE $6=$CHK_RADICAL_STATE
 #100912 add $7=CHK_SIMPLE_FILENAMES
 
@@ -422,13 +423,25 @@
  #ARCHDIR="`find packages-${DISTRO_FILE_PREFIX}/glibc/lib -mindepth 2 -maxdepth 2 -name 'libc.so.6' | head -n 1 | rev | cut -f 2 -d '/' | rev`"
  ARCHDIR=''
  case $WOOF_TARGETARCH in #see file WOOFMERGEVARS
   x86) ARCHDIR='i386-linux-gnu' ;;
   x86_64) ARCHDIR='x86_64-linux-gnu' ;;
-  arm) #120720
+  arm) #120720 120721
    case $WOOF_COMPATDISTRO in #see file WOOFMERGEVARS
     raspbian) ARCHDIR='arm-linux-gnueabihf' ;;
+    debian)
+     case $WOOF_COMPATVERSION in
+      squeeze) true ;; #old release
+      *) ARCHDIR='arm-linux-gnueabihf' ;;
+     esac
+    ;;
+    ubuntu)
+     case $WOOF_COMPATVERSION in
+      jaunty|karmic|lucid) true ;; #old releases.
+      *) ARCHDIR='arm-linux-gnueabihf' ;;
+     esac
+    ;;
    esac
   ;;
  esac
  if [ "$ARCHDIR" ];then #ex: i386-linux-gnu
   ln -snf ./ sandbox3/rootfs-complete/lib/${ARCHDIR}

Changes to woof-code/packages-templates/iceape/FIXUPHACK

@@ -1,1 +1,50 @@
+#this template is devious, to handle the way debian has butchered the layout.
+
+#120321 ubuntu precise pangolin: screen out 'seamonkey-addons'...
+SMLIBDIR="`find usr/lib -maxdepth 1 -type d -name seamonkey\* | grep -v 'addons' | head -n 1`"
+
+if [ "$SMLIBDIR" != "" ];then
+ BASESMLIB="`basename $SMLIBDIR`"
+
+ if [ "$BASESMLIB" != "seamonkey" ];then
+  ln -s $BASESMLIB usr/lib/seamonkey
+  SMPARENT="`pwd | rev | cut -f 1 -d '/' | rev`"
+  mkdir -p ../${SMPARENT}_DEV/usr/include
+  ln -s $BASESMLIB ../${SMPARENT}_DEV/usr/include/seamonkey
+ fi
+
+ if [ -d usr/lib/${BASESMLIB} ];then
+  rm -rf usr/lib/${BASESMLIB}/chrome/icons
+  mv -f usr/share/seamonkey/chrome/icons usr/lib/${BASESMLIB}/chrome/
+  rm -rf usr/lib/${BASESMLIB}/extensions/*
+  rm -rf usr/share/seamonkey
+ fi
+
+ #test if sm 1.x or 2.x
+ if [ -f usr/lib/seamonkey/platform.ini ];then
+  #sm2 get rid of the sm1 config...
+  rm -rf root/.mozilla/default
+  rm -f root/.mozilla/appreg
+  SMMILESTONE="`cat usr/lib/seamonkey/platform.ini | grep '^Milestone' | cut -f 2 -d '='`"
+  SMPREFSJS="`find root/.mozilla/seamonkey -maxdepth 2 -type f -name prefs.js`"
+  #this makes the puppy home page display at first run of sm...
+  smPATTERN="s% "rv:.*"% "rv:${SMMILESTONE}"%"
+  sed -e "$smPATTERN" $SMPREFSJS > /tmp/seamonkey-temp-prefsjs
+  cp -f /tmp/seamonkey-temp-prefsjs $SMPREFSJS
+ else
+  #old sm 1.x
+  rm -rf root/.mozilla/extensions
+  rm -rf root/.mozilla/seamonkey
+  #TODO need to update milestone entry in prefs.js so that the puppy home page displays on first run.
+ fi
+
+
+fi
 
+#***NOTICE template needs to be updated for Ubuntu/debian SM2***
+#ubuntu... sm1...
+if [ -e usr/share/seamonkey/chrome/installed-chrome.txt ];then
+ #have removed 'modern' and 'sroaming'...
+ grep -v 'modern' usr/share/seamonkey/chrome/installed-chrome.txt >/tmp/installed-chrome.txt
+ grep -v 'sroaming' /tmp/installed-chrome.txt >usr/share/seamonkey/chrome/installed-chrome.txt
+fi

Changes to woof-code/packages-templates/iceape/etc/PLUSEXTRADIRS


Changes to woof-code/packages-templates/iceape/mozilla-bin.xpm

@@ -1,1 +1,1 @@
-
+mozilla.xpm

Changes to woof-code/packages-templates/iceape/mozilla.xpm

@@ -1,1 +1,83 @@
-
+/* XPM */
+static char * mozilla_xpm[] = {
+"16 16 64 1",
+" 	c #9C9C9A9AA5A5",
+".	c #A5A5BABACECE",
+"X	c #BDBDC3C3C6C6",
+"o	c #9C9CB2B2C6C6",
+"O	c #9494A6A6B5B5",
+"+	c #7B7B82828C8C",
+"@	c #FFFFFBFBFFFF",
+"#	c #F7F7F3F3EFEF",
+"$	c #EFEFEBEBEFEF",
+"%	c #DEDEE7E7F7F7",
+"&	c #D6D6E3E3EFEF",
+"*	c #D6D6DBDBE7E7",
+"=	c #C6C6E3E3F7F7",
+"-	c #BDBDCBCBE7E7",
+";	c #B5B5C7C7E7E7",
+":	c #A5A5C3C3DEDE",
+">	c #9C9CBEBEEFEF",
+",	c #9494B2B2D6D6",
+"<	c #8484A6A6D6D6",
+"1	c #94949A9AA5A5",
+"2	c #7B7B8A8A8C8C",
+"3	c #EFEFF3F3FFFF",
+"4	c #73739A9ABDBD",
+"5	c #5A5A8E8EC6C6",
+"6	c #29297D7DDEDE",
+"7	c #EFEFE3E3DEDE",
+"8	c #F7F7EFEFE7E7",
+"9	c #FFFFF7F7F7F7",
+"0	c #BDBDD3D3EFEF",
+"q	c #08085555C6C6",
+"w	c #D6D6D7D7D6D6",
+"e	c #D6D6D3D3D6D6",
+"r	c #39397171B5B5",
+"t	c #29296969ADAD",
+"y	c #10106969CECE",
+"u	c #00003C3CCECE",
+"i	c #00005959D6D6",
+"p	c #8484B2B2E7E7",
+"a	c #00004545A5A5",
+"s	c #00004141BDBD",
+"d	c #7B7BAEAEE7E7",
+"f	c #00006161DEDE",
+"g	c #4242A2A2EFEF",
+"h	c #00007171DEDE",
+"j	c #39397979BDBD",
+"k	c #000028289494",
+"l	c #D6D6E7E7FFFF",
+"z	c #42429696E7E7",
+"x	c #29299292DEDE",
+"c	c #18188A8AE7E7",
+"v	c #94949A9A9C9C",
+"b	c #ADADCBCBEFEF",
+"n	c #18187979E7E7",
+"m	c #29299292EFEF",
+"M	c #5A5AAEAEEFEF",
+"N	c #08086969CECE",
+"B	c #84848E8E9C9C",
+"V	c #5252C3C3F7F7",
+"C	c #B5B5EBEBF7F7",
+"Z	c #7373D7D7F7F7",
+"A	c #6B6B79798C8C",
+"S	c #10107171DEDE",
+"D	c #73738A8A9C9C",
+"F	c #73739292A5A5",
+" .X.XX..oooooOoX",
+"+@#$%%&*=-;:>,<1",
+"23-;;;>,,<<4456O",
+"2%,*7*787$#9@0q1",
+"204wwewe*8$#@=q1",
+"+:rtX7qy9$u0@>iO",
+"+pta78s5@0u3@df ",
+"+4ar##s>@pu@@gh1",
+"+jk59=ul@zf@@xcv",
+"+rkd@bu@@6x@@nmv",
+"+tk-@pi@@yM@3NgB",
+"+ra3@z6@@Nb@&NVB",
+"+jabCnzl>hd=ZcZ1",
+"AjsiiSShhzxxMZ=1",
+"ANynmmzggVVZZCCO",
+"XAADBDDDDDD5FF4w"};

Changes to woof-code/packages-templates/iceape/pinstall.sh

@@ -1,1 +1,41 @@
+#!/bin/sh
+#post-install script for Mozilla.
+#assume current directory is rootfs-complete, which has the final filesystem.
+
+#RUNNINGPS="`ps`"
+#if [ "`echo "$RUNNINGPS" | grep "petget"`" = "" ];then
+if [ ! "`pwd`" = "/" ];then
+
+ echo "Configuring Mozilla Iceape (SeaMonkey) browser..."
+
+  echo '#!/bin/sh' > ./usr/local/bin/defaultbrowser
+  echo 'exec mozstart "$@"' >> ./usr/local/bin/defaultbrowser
+
+  #091118 sm2 cannot have gtkmoz or puppybrowser...
+  if [ ! -f usr/local/bin/gtkmoz ];then
+   ln -s mozstart usr/local/bin/gtkmoz
+  fi
+
+  #if [ ! -f ./usr/local/bin/sylpheed ];then
+   echo '#!/bin/sh' > ./usr/local/bin/defaultemail
+   echo 'exec mozmail "$@"' >> ./usr/local/bin/defaultemail
+  #fi
+
+  echo '#!/bin/sh' > ./usr/local/bin/defaulthtmleditor
+  echo 'exec mozedit "$@"' >> ./usr/local/bin/defaulthtmleditor
+
+  #echo 'exec mozcalendar $@' > ./usr/local/bin/defaultcalendar
+
+  #if [ ! -f ./usr/local/bin/gaby ];then
+   echo '#!/bin/sh' > ./usr/local/bin/defaultcontact
+   echo 'exec mozaddressbook "$@"' >> ./usr/local/bin/defaultcontact
+  #fi
+
+ echo "Note that mozilla and netscape all point to mozstart in /usr/local/bin"
+ echo "...ok, setup for Mozilla (Seamonkey)."
+ echo -n "seamonkey" > /tmp/rightbrwsr.txt
+
+fi
 
+#120721
+ln -snf iceape usr/lib/seamonkey

Changes to woof-code/packages-templates/iceape/root/.mozilla/default/r3y1skkw.slt/chrome/userChrome.css

@@ -1,1 +1,72 @@
+/*
+ * Edit this file and copy it as userChrome.css into your
+ * profile-directory/chrome/
+ */
+
+/*
+ * This file can be used to customize the look of Mozilla's user interface
+ * You should consider using !important on rules which you want to
+ * override default settings.
+ */
+
+/*
+ * Do not remove the @namespace line -- it's required for correct functioning
+ */
+@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"); /* set default namespace to XUL */
+
+
+/*
+ * Some possible accessibility enhancements:
+ */
+/*
+ * Make all the default font sizes 20 pt:
+ *
+ * * {
+ *   font-size: 20pt !important
+ * }
+ */
+
+/*BK ha ha, changed 'pt' to 'px' (pixels) fixed it...*/
+ * {
+   font-size: 12px !important;
+   font-family: DejaVu Sans !important;
+ }
+/*   font-family: nimbus !important;*/
+
+/*
+ * Make menu items in particular 15 pt instead of the default size:
+ *
+ * menupopup > * {
+ *   font-size: 15pt !important
+ * }
+ */
+
+/*BK experimenting...
+menupopup > * {
+  font-size: 12pt !important
+}
+menu > * {
+  font-size: 12pt !important
+}
+*/
+
+/*
+ * Give the Location (URL) Bar a fixed-width font
+ *
+ * #urlbar {
+ *    font-family: monospace !important;
+ * }
+ */
+
+/*
+ * Eliminate the throbber and its annoying movement:
+ *
+ * #throbber-box {
+ *   display: none !important;
+ * }
+ */
+
+/*
+ * For more examples see http://www.mozilla.org/unix/customizing.html
+ */
 

Changes to woof-code/packages-templates/iceape/root/.mozilla/default/r3y1skkw.slt/chrome/userContent.css

@@ -1,1 +1,49 @@
+/*
+ * Edit this file and copy it as userContent.css into your
+ * profile-directory/chrome/
+ */
+
+/*
+ * This file can be used to apply a style to all web pages you view
+ * Rules without !important are overruled by author rules if the
+ * author sets any.  Rules with !important overrule author rules.
+ */
+
+/* BK... */
+.moz-text-flowed, .moz-text-plain, .moz-text-html {
+   font-size: 14px !important;
+   /* font-family: mono !important; */
+}
+
+/*
+ * example: turn off "blink" element blinking
+ *
+ * blink { text-decoration: none ! important; }
+ *
+ */
+
+/*
+ * example: give all tables a 2px border
+ *
+ * table { border: 2px solid; }
+ */
+
+/*
+ * example: turn off "marquee" element
+ *
+ * marquee { -moz-binding: none; }
+ *
+ */
+
+/*
+ * example: make search fields on www.mozilla.org black-on-white
+ *
+ * @-moz-document url-prefix(http://www.mozilla.org/) {
+ *   #q { background: white ! important; color: black ! important; }
+ * }
+ */
+
+/*
+ * For more examples see http://www.mozilla.org/unix/customizing.html
+ */
 

Changes to woof-code/packages-templates/iceape/root/.mozilla/default/r3y1skkw.slt/localstore.rdf

@@ -1,1 +1,34 @@
-
+<?xml version="1.0"?>
+<RDF:RDF xmlns:NC="http://home.netscape.com/NC-rdf#"
+         xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#cmd_viewpersonaltoolbar"
+                   checked="false" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-panels"
+                   last-selected-panel="urn:sidebar:panel:bookmarks" />
+  <RDF:Description RDF:about="chrome://communicator/content/pref/pref.xul#prefDialog"
+                   screenX="100"
+                   screenY="100" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-splitter"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#PersonalToolbar"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul">
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-panels"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-box"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-splitter"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#main-window"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#PersonalToolbar"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#cmd_viewpersonaltoolbar"/>
+  </RDF:Description>
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-box"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://communicator/content/pref/pref.xul">
+    <NC:persist RDF:resource="chrome://communicator/content/pref/pref.xul#prefDialog"/>
+  </RDF:Description>
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#main-window"
+                   sizemode="normal"
+                   height="480"
+                   width="735"
+                   screenX="11"
+                   screenY="11" />
+</RDF:RDF>

Changes to woof-code/packages-templates/iceape/root/.mozilla/default/r3y1skkw.slt/prefs.js

@@ -1,1 +1,69 @@
+# Mozilla User Preferences
+
+/* Do not edit this file.
+ *
+ * If you make changes to this file while the application is running,
+ * the changes will be overwritten when the application exits.
+ *
+ * To make a manual change to preferences, you can visit the URL about:config
+ * For more information, see http://www.mozilla.org/unix/customizing.html#prefs
+ */
 
+user_pref("accessibility.typeaheadfind.enablesound", false);
+user_pref("browser.cache.disk.capacity", 4096);
+user_pref("browser.cache.disk.enable", false);
+user_pref("browser.chrome.toolbar_style", 0);
+user_pref("browser.display.use_document_fonts", 0);
+user_pref("browser.download.dir", "/root/my-documents");
+user_pref("browser.enable_automatic_image_resizing", true);
+user_pref("browser.open.dir", "/usr/share/doc");
+user_pref("browser.open.filterIndex", 0);
+user_pref("browser.search.defaultengine", "engine:///usr/lib/seamonkey/searchplugins/google.src");
+user_pref("browser.search.opensidebarsearchpanel", false);
+user_pref("browser.startup.homepage", "file:///usr/share/doc/home.htm");
+user_pref("browser.startup.homepage_override.mstone", "rv:1.8.1.17");
+user_pref("browser.tabs.autoHide", false);
+user_pref("browser.tabs.loadInBackground", true);
+user_pref("browser.tabs.opentabfor.middleclick", true);
+user_pref("browser.tabs.opentabfor.urlbar", true);
+user_pref("browser.toolbars.showbutton.print", false);
+user_pref("dom.disable_open_during_load", true);
+user_pref("editor.prettyprint", false);
+user_pref("font.default.x-western", "sans-serif");
+user_pref("font.minimum-size.x-western", 12);
+user_pref("font.name.cursive.x-western", "serif");
+user_pref("font.name.fantasy.x-western", "serif");
+user_pref("font.name.monospace.x-western", "monospace");
+user_pref("font.name.sans-serif.x-western", "DejaVu Sans");
+user_pref("font.name.serif.x-western", "serif");
+user_pref("font.size.fixed.x-western", 14);
+user_pref("font.size.variable.x-western", 14);
+user_pref("intl.charsetmenu.browser.cache", "ISO-8859-1, UTF-8");
+user_pref("ldap_2.servers.default.filename", "default.mab");
+user_pref("ldap_2.servers.default.replication.lastChangeNumber", 0);
+user_pref("ldap_2.servers.default.uri", "moz-abldapdirectory://default.mab");
+user_pref("ldap_2.servers.history.filename", "history.mab");
+user_pref("ldap_2.servers.history.replication.lastChangeNumber", 0);
+user_pref("ldap_2.servers.pab.filename", "abook.mab");
+user_pref("ldap_2.servers.pab.replication.lastChangeNumber", 0);
+user_pref("mail.biff.play_sound", false);
+user_pref("mail.forward_message_mode", 2);
+user_pref("mail.spellcheck.inline", false);
+user_pref("network.cookie.prefsMigrated", true);
+user_pref("network.proxy.share_proxy_settings", true);
+user_pref("prefs.converted-to-utf8", true);
+user_pref("privacy.popups.first_popup", false);
+user_pref("privacy.popups.remove_blacklist", false);
+user_pref("security.OCSP.URL", "");
+user_pref("security.OCSP.signingCA", "");
+user_pref("security.disable_button.changePassword", false);
+user_pref("security.disable_button.resetPassword", false);
+user_pref("security.enable_java", false);
+user_pref("security.password_lifetime", 0);
+user_pref("update_notifications.enabled", false);
+user_pref("update_notifications.provider.0.last_checked", 1139662619);
+/*
+user_pref("network.protocol-handler.app.mailto", "mailto.sh");
+user_pref("network.protocol-handler.external.mailto", true);
+user_pref("network.protocol-handler.warn-external.mailto", false);
+*/

Changes to woof-code/packages-templates/iceape/root/.mozilla/extensions/EMPTYDIRMARKER


Changes to woof-code/packages-templates/iceape/root/.mozilla/seamonkey/3o1ptd5r.default/chrome/userChrome.css

@@ -1,1 +1,72 @@
+/*
+ * Edit this file and copy it as userChrome.css into your
+ * profile-directory/chrome/
+ */
+
+/*
+ * This file can be used to customize the look of Mozilla's user interface
+ * You should consider using !important on rules which you want to
+ * override default settings.
+ */
+
+/*
+ * Do not remove the @namespace line -- it's required for correct functioning
+ */
+@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"); /* set default namespace to XUL */
+
+
+/*
+ * Some possible accessibility enhancements:
+ */
+/*
+ * Make all the default font sizes 20 pt:
+ *
+ * * {
+ *   font-size: 20pt !important
+ * }
+ */
+
+/*BK ha ha, changed 'pt' to 'px' (pixels) fixed it...*/
+ * {
+   font-size: 12px !important;
+   font-family: DejaVu Sans !important;
+ }
+/*   font-family: nimbus !important;*/
+
+/*
+ * Make menu items in particular 15 pt instead of the default size:
+ *
+ * menupopup > * {
+ *   font-size: 15pt !important
+ * }
+ */
+
+/*BK experimenting...
+menupopup > * {
+  font-size: 12pt !important
+}
+menu > * {
+  font-size: 12pt !important
+}
+*/
+
+/*
+ * Give the Location (URL) Bar a fixed-width font
+ *
+ * #urlbar {
+ *    font-family: monospace !important;
+ * }
+ */
+
+/*
+ * Eliminate the throbber and its annoying movement:
+ *
+ * #throbber-box {
+ *   display: none !important;
+ * }
+ */
+
+/*
+ * For more examples see http://www.mozilla.org/unix/customizing.html
+ */
 

Changes to woof-code/packages-templates/iceape/root/.mozilla/seamonkey/3o1ptd5r.default/chrome/userContent.css

@@ -1,1 +1,49 @@
+/*
+ * Edit this file and copy it as userContent.css into your
+ * profile-directory/chrome/
+ */
+
+/*
+ * This file can be used to apply a style to all web pages you view
+ * Rules without !important are overruled by author rules if the
+ * author sets any.  Rules with !important overrule author rules.
+ */
+
+/* BK... */
+.moz-text-flowed, .moz-text-plain, .moz-text-html {
+   font-size: 14px !important;
+   /* font-family: mono !important; */
+}
+
+/*
+ * example: turn off "blink" element blinking
+ *
+ * blink { text-decoration: none ! important; }
+ *
+ */
+
+/*
+ * example: give all tables a 2px border
+ *
+ * table { border: 2px solid; }
+ */
+
+/*
+ * example: turn off "marquee" element
+ *
+ * marquee { -moz-binding: none; }
+ *
+ */
+
+/*
+ * example: make search fields on www.mozilla.org black-on-white
+ *
+ * @-moz-document url-prefix(http://www.mozilla.org/) {
+ *   #q { background: white ! important; color: black ! important; }
+ * }
+ */
+
+/*
+ * For more examples see http://www.mozilla.org/unix/customizing.html
+ */
 

Changes to woof-code/packages-templates/iceape/root/.mozilla/seamonkey/3o1ptd5r.default/localstore.rdf

@@ -1,1 +1,34 @@
-
+<?xml version="1.0"?>
+<RDF:RDF xmlns:NC="http://home.netscape.com/NC-rdf#"
+         xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#cmd_viewpersonaltoolbar"
+                   checked="false" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-panels"
+                   last-selected-panel="urn:sidebar:panel:bookmarks" />
+  <RDF:Description RDF:about="chrome://communicator/content/pref/pref.xul#prefDialog"
+                   screenX="100"
+                   screenY="100" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-splitter"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#PersonalToolbar"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul">
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-panels"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-box"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#sidebar-splitter"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#main-window"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#PersonalToolbar"/>
+    <NC:persist RDF:resource="chrome://navigator/content/navigator.xul#cmd_viewpersonaltoolbar"/>
+  </RDF:Description>
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#sidebar-box"
+                   hidden="true" />
+  <RDF:Description RDF:about="chrome://communicator/content/pref/pref.xul">
+    <NC:persist RDF:resource="chrome://communicator/content/pref/pref.xul#prefDialog"/>
+  </RDF:Description>
+  <RDF:Description RDF:about="chrome://navigator/content/navigator.xul#main-window"
+                   sizemode="normal"
+                   height="480"
+                   width="735"
+                   screenX="11"
+                   screenY="11" />
+</RDF:RDF>

Changes to woof-code/packages-templates/iceape/root/.mozilla/seamonkey/3o1ptd5r.default/prefs.js

@@ -1,1 +1,70 @@
+# Mozilla User Preferences
+
+/* Do not edit this file.
+ *
+ * If you make changes to this file while the application is running,
+ * the changes will be overwritten when the application exits.
+ *
+ * To make a manual change to preferences, you can visit the URL about:config
+ * For more information, see http://www.mozilla.org/unix/customizing.html#prefs
+ */
 
+user_pref("accessibility.typeaheadfind.enablesound", false);
+user_pref("browser.cache.disk.capacity", 4096);
+user_pref("browser.cache.disk.enable", false);
+user_pref("browser.chrome.toolbar_style", 0);
+user_pref("browser.display.use_document_fonts", 0);
+user_pref("browser.download.dir", "/root/my-documents");
+user_pref("browser.enable_automatic_image_resizing", true);
+user_pref("browser.open.dir", "/usr/share/doc");
+user_pref("browser.open.filterIndex", 0);
+user_pref("browser.rights.1.shown", true);
+user_pref("browser.search.defaultengine", "engine:///usr/lib/seamonkey/searchplugins/google.src");
+user_pref("browser.search.opensidebarsearchpanel", false);
+user_pref("browser.startup.homepage", "file:///usr/share/doc/home.htm");
+user_pref("browser.startup.homepage_override.mstone", "rv:1.9.1.4");
+user_pref("browser.tabs.autoHide", false);
+user_pref("browser.tabs.loadInBackground", true);
+user_pref("browser.tabs.opentabfor.middleclick", true);
+user_pref("browser.tabs.opentabfor.urlbar", true);
+user_pref("browser.toolbars.showbutton.print", false);
+user_pref("dom.disable_open_during_load", true);
+user_pref("editor.prettyprint", false);
+user_pref("font.default.x-western", "sans-serif");
+user_pref("font.minimum-size.x-western", 12);
+user_pref("font.name.cursive.x-western", "serif");
+user_pref("font.name.fantasy.x-western", "serif");
+user_pref("font.name.monospace.x-western", "monospace");
+user_pref("font.name.sans-serif.x-western", "DejaVu Sans");
+user_pref("font.name.serif.x-western", "serif");
+user_pref("font.size.fixed.x-western", 14);
+user_pref("font.size.variable.x-western", 14);
+user_pref("intl.charsetmenu.browser.cache", "ISO-8859-1, UTF-8");
+user_pref("ldap_2.servers.default.filename", "default.mab");
+user_pref("ldap_2.servers.default.replication.lastChangeNumber", 0);
+user_pref("ldap_2.servers.default.uri", "moz-abldapdirectory://default.mab");
+user_pref("ldap_2.servers.history.filename", "history.mab");
+user_pref("ldap_2.servers.history.replication.lastChangeNumber", 0);
+user_pref("ldap_2.servers.pab.filename", "abook.mab");
+user_pref("ldap_2.servers.pab.replication.lastChangeNumber", 0);
+user_pref("mail.biff.play_sound", false);
+user_pref("mail.forward_message_mode", 2);
+user_pref("mail.spellcheck.inline", false);
+user_pref("network.cookie.prefsMigrated", true);
+user_pref("network.proxy.share_proxy_settings", true);
+user_pref("prefs.converted-to-utf8", true);
+user_pref("privacy.popups.first_popup", false);
+user_pref("privacy.popups.remove_blacklist", false);
+user_pref("security.OCSP.URL", "");
+user_pref("security.OCSP.signingCA", "");
+user_pref("security.disable_button.changePassword", false);
+user_pref("security.disable_button.resetPassword", false);
+user_pref("security.enable_java", false);
+user_pref("security.password_lifetime", 0);
+user_pref("update_notifications.enabled", false);
+user_pref("update_notifications.provider.0.last_checked", 1139662619);
+/*
+user_pref("network.protocol-handler.app.mailto", "mailto.sh");
+user_pref("network.protocol-handler.external.mailto", true);
+user_pref("network.protocol-handler.warn-external.mailto", false);
+*/

Changes to woof-code/packages-templates/iceape/root/.mozilla/seamonkey/profiles.ini

@@ -1,1 +1,8 @@
+[General]
+StartWithLastProfile=1
+
+[Profile0]
+Name=default
+IsRelative=1
+Path=3o1ptd5r.default
 

Changes to woof-code/packages-templates/iceape/root/EMPTYDIRMARKER


Changes to woof-code/packages-templates/iceape/seamonkey16.xpm

@@ -1,1 +1,236 @@
-
+/* XPM */
+static char *seamonkey16_xpm[] = {
+"16 16 216 2",
+"  	c None",
+"01	c #FEFEFF",
+"02	c #D2D2EE",
+"03	c #9A9AD8",
+"04	c #6C6CC6",
+"05	c #6465C3",
+"06	c #8788D0",
+"07	c #C8C8E9",
+"08	c #D6D6EF",
+"09	c #8E8DD5",
+"0A	c #8685D3",
+"0B	c #7979CE",
+"0C	c #5455BF",
+"0D	c #03039E",
+"0E	c #000096",
+"0F	c #2E2CAA",
+"10	c #7F7CCB",
+"11	c #D5D5EF",
+"12	c #C7C7EA",
+"13	c #8888D4",
+"14	c #A2A1DE",
+"15	c #8D8DD6",
+"16	c #6E6FCA",
+"17	c #5556C0",
+"18	c #1717A5",
+"19	c #7E7FCE",
+"1A	c #C7DFFB",
+"1B	c #BCDFFD",
+"1C	c #9EA4DD",
+"1D	c #A9A8DC",
+"1E	c #D9D9F1",
+"1F	c #8B8BD5",
+"20	c #A9A8E1",
+"21	c #8A89D4",
+"22	c #6C6CC9",
+"23	c #5253BF",
+"24	c #2929AD",
+"25	c #5B5ABF",
+"26	c #CEECFF",
+"27	c #A9D8FF",
+"28	c #A5DAFF",
+"29	c #9C9FDA",
+"2A	c #09089C",
+"2B	c #C7C7E9",
+"2C	c #9393D7",
+"2D	c #A2A1DF",
+"2E	c #8A8AD5",
+"2F	c #6C6DCA",
+"30	c #5152BE",
+"31	c #3536B2",
+"32	c #1716A5",
+"33	c #B3BCE8",
+"34	c #AADBFF",
+"35	c #74BFFF",
+"36	c #7CCAFF",
+"37	c #C0CEF0",
+"38	c #1110A1",
+"39	c #3737B1",
+"3A	c #D7D6EF",
+"3B	c #8786D3",
+"3C	c #8B8AD4",
+"3D	c #696AC8",
+"3E	c #4E50BD",
+"3F	c #3536B3",
+"40	c #1213A4",
+"41	c #3431AC",
+"42	c #BFDFFC",
+"43	c #77BEFF",
+"44	c #57B1FF",
+"45	c #59BBFF",
+"46	c #BBECFF",
+"47	c #6765C3",
+"48	c #02049F",
+"49	c #B9B9E4",
+"4A	c #A2A3DC",
+"4B	c #8081D3",
+"4C	c #7C7DD2",
+"4D	c #6162C5",
+"4E	c #4242B6",
+"4F	c #1E1FA7",
+"50	c #7270C6",
+"51	c #9DD6FF",
+"52	c #47A5FF",
+"53	c #3FA5FF",
+"54	c #5DBCFF",
+"55	c #A7E4FF",
+"56	c #8B8ED4",
+"57	c #1618A8",
+"58	c #7C7DCF",
+"59	c #9396E1",
+"5A	c #AEB1F8",
+"5B	c #B8B8FD",
+"5C	c #AAAAF6",
+"5D	c #8D8EE6",
+"5E	c #7173DA",
+"5F	c #6967D7",
+"60	c #C0CDF3",
+"61	c #51AEFF",
+"62	c #309AFF",
+"63	c #46ABFF",
+"64	c #6BC3FF",
+"65	c #A3E0FF",
+"66	c #BDC2F4",
+"67	c #8D8FF2",
+"68	c #9292E4",
+"69	c #8686E2",
+"6A	c #6364FC",
+"6B	c #7475FF",
+"6C	c #6364FF",
+"6D	c #6768FF",
+"6E	c #8183FF",
+"6F	c #C8C4FF",
+"70	c #95CFFF",
+"71	c #349CFF",
+"72	c #44A6FF",
+"73	c #53B5FF",
+"74	c #79CBFF",
+"75	c #BBE8FF",
+"76	c #9996FF",
+"77	c #6E6EFF",
+"78	c #8383E5",
+"79	c #9494E4",
+"7A	c #0C0EF9",
+"7B	c #1719FF",
+"7C	c #1012FF",
+"7D	c #0507FF",
+"7E	c #3633FF",
+"7F	c #BCD4FF",
+"80	c #4FABFF",
+"81	c #4DAAFF",
+"82	c #4CB1FF",
+"83	c #66C1FF",
+"84	c #97DCFF",
+"85	c #CAD6FF",
+"86	c #5352FF",
+"87	c #4C4DFC",
+"88	c #8484E2",
+"89	c #D6D6EE",
+"8A	c #1113F0",
+"8B	c #1113FF",
+"8C	c #0E10FF",
+"8D	c #1616FF",
+"8E	c #AEB5FF",
+"8F	c #6CBBFF",
+"90	c #4EADFF",
+"91	c #57B9FF",
+"92	c #6FC8FF",
+"93	c #98DDFF",
+"94	c #CAE0FF",
+"95	c #7471FF",
+"96	c #5152FF",
+"97	c #5656F6",
+"98	c #B7B7E7",
+"99	c #FFFFFD",
+"9A	c #5253E3",
+"9B	c #0003FE",
+"9C	c #1515FF",
+"9D	c #9CA1FF",
+"9E	c #81CBFF",
+"9F	c #65C0FF",
+"A0	c #8FDAFF",
+"A1	c #C1E5FF",
+"A2	c #B8BEFF",
+"A3	c #6766FF",
+"A4	c #5051FF",
+"A5	c #6160FF",
+"A6	c #6B6CE7",
+"A7	c #FAFAFA",
+"A8	c #D2D2F0",
+"A9	c #3734EC",
+"AA	c #9DA7FF",
+"AB	c #A5DDFF",
+"AC	c #ACD8FF",
+"AD	c #CBE0FF",
+"AE	c #BDC6FF",
+"AF	c #9B9BFF",
+"B0	c #6865FF",
+"B1	c #4747FF",
+"B2	c #5253FF",
+"B3	c #6464FF",
+"B4	c #5C5CF0",
+"B5	c #C5C5EC",
+"B6	c #FEFFFF",
+"B7	c #CAE1FB",
+"B8	c #ACD9FE",
+"B9	c #97A1FF",
+"BA	c #4945FF",
+"BB	c #3A38FF",
+"BC	c #3433FF",
+"BD	c #3536FF",
+"BE	c #4546FF",
+"BF	c #5859FF",
+"C0	c #6060FF",
+"C1	c #5C5CEE",
+"C2	c #B0B0E9",
+"C3	c #F1F9FF",
+"C4	c #C2E1FF",
+"C5	c #CDE9FF",
+"C6	c #EAEBF8",
+"C7	c #514FE5",
+"C8	c #1718F3",
+"C9	c #2728FB",
+"CA	c #3738FD",
+"CB	c #4546FD",
+"CC	c #4F50FC",
+"CD	c #5656F5",
+"CE	c #6B6BE6",
+"CF	c #C4C5EB",
+"D0	c #F9FCFF",
+"D1	c #FDFEFF",
+"D2	c #FFFFFC",
+"D3	c #C4C4EA",
+"D4	c #8282E2",
+"D5	c #6E6FE3",
+"D6	c #7272E3",
+"D7	c #BABAE7",
+"          02030405060701        ",
+"      08090A0B0C0D0E0F1011      ",
+"    12131415161718191A1B1C1D    ",
+"  1E1F202122232425262728292A2B  ",
+"  2C2D2E2F30313233343536373839  ",
+"3A3B3C3D3E3F40414243444546474849",
+"4A4B4C4D4E4F0E505152535455565758",
+"595A5B5C5D5E5F606162636465666768",
+"696A6B6C6D6E6F707172737475767778",
+"797A7B7C7D7E7F808182838485868788",
+"898A8B8C8D8E8F909192939495969798",
+"999A9B9C9D9E9FA055A1A2A3A4A5A6A7",
+"  A8A9AAABACADAEAFB0B1B2B3B4B5  ",
+"  B6B7B8B9BABBBCBDBEBFC0C1C2    ",
+"C3C4C5C6C7C8C9CACBCCCDCECF      ",
+"D0D1    D2D3D4D5D669D7A7        "
+};

Changes to woof-code/packages-templates/iceape/usr/bin/iceape


Changes to woof-code/packages-templates/iceape/usr/bin/mozilla

@@ -1,1 +1,1 @@
-
+iceape

Changes to woof-code/packages-templates/iceape/usr/lib/PLUSEXTRADIRS


Changes to woof-code/packages-templates/iceape/usr/lib/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/local/bin/defaultbrowser

@@ -1,1 +1,2 @@
-
+#!/bin/sh
+exec mozstart "$@"

Changes to woof-code/packages-templates/iceape/usr/local/bin/defaultcontact

@@ -1,1 +1,2 @@
-
+#!/bin/sh
+exec mozaddressbook "$@"

Changes to woof-code/packages-templates/iceape/usr/local/bin/defaultemail

@@ -1,1 +1,2 @@
-
+#!/bin/sh
+exec mozmail "$@"

Changes to woof-code/packages-templates/iceape/usr/local/bin/defaulthtmleditor

@@ -1,1 +1,2 @@
-
+#!/bin/sh
+exec mozedit "$@"

Changes to woof-code/packages-templates/iceape/usr/local/bin/gtkmoz

@@ -1,1 +1,1 @@
-
+mozstart

Changes to woof-code/packages-templates/iceape/usr/local/bin/mozaddressbook

@@ -1,1 +1,11 @@
+#!/bin/sh
+
+#Puppy does not want more than one instance of Moz running.
 
+ps | grep --extended-regexp 'mozilla\-bin|iceape\-bin' > /dev/null 2>&1
+if [ $? -eq 0 ];then #=0 if found.
+ xmessage "Please open Addressbook from Window menu of currently running Mozilla/Seamonkey"
+else
+ #exec /usr/lib/mozilla/mozilla-bin -addressbook $@
+ exec mozilla -addressbook $@
+fi

Changes to woof-code/packages-templates/iceape/usr/local/bin/mozedit

@@ -1,1 +1,15 @@
+#!/bin/sh
+#Puppy does not want more than one instance of Moz running.
+#120225 does not seem to be a problem anymore, can run Composer when browser already running.
+
+COMTAIL="$@"
 
+#ps | grep --extended-regexp 'mozilla\-bin|iceape\-bin' > /dev/null 2>&1
+#if [ $? -eq 0 ];then #=0 if found.
+# xmessage "Please open Composer from Window menu of currently running Mozilla"
+#else
+ #exec /usr/lib/mozilla/mozilla-bin -edit $@
+ COMTAIL="`echo -n "$COMTAIL" | sed -e 's/ /%20/g'`"
+ [ "`echo "$COMTAIL" | grep "^file://"`" = "" ] && COMTAIL="file://${COMTAIL}"
+ exec seamonkey -edit $COMTAIL
+#fi

Changes to woof-code/packages-templates/iceape/usr/local/bin/mozmail

@@ -1,1 +1,11 @@
+#!/bin/sh
+
+##Puppy does not want more than one instance of Moz running.
 
+#ps | grep --extended-regexp 'mozilla\-bin|seamonkey\-bin' > /dev/null 2>&1
+#if [ $? -eq 0 ];then #=0 if found.
+# xmessage "Please start Mail from Window menu of currently running Mozilla/Seamonkey"
+#else
+ #exec /usr/lib/mozilla/mozilla-bin -mail $@
+ exec mozilla -mail $@
+#fi

Changes to woof-code/packages-templates/iceape/usr/local/bin/mozstart

@@ -1,1 +1,30 @@
+#!/bin/sh
+#100411 fix for spaces in path/filename.
+
+#Puppy does not want more than one instance of Moz running.
+
+#aug06:
+#note, must execute mozilla-bin here, as it is a script with
+# a bug fix, and then executes seamonkey-bin.
+
+COMTAIL="$@"
+
+[ "$COMTAIL" = "" ] && exec mozilla #v3.94
+
+URLPREFIX="`echo "$COMTAIL" | grep -E "http://|ftp://|https://|file://|-mail|-edit|-addressbook|-calendar|-remote"`"
+if [ "$URLPREFIX" = "" ];then
+ COMTAIL="`echo -n "$COMTAIL" | sed -e 's/ /%20/g'`"
+ COMTAIL="file://${COMTAIL}"
+else
+ URLPREFIX="`echo "$COMTAIL" | grep "^file://"`"
+ [ "$URLPREFIX" ] && COMTAIL="`echo -n "$COMTAIL" | sed -e 's/ /%20/g'`"
+fi
 
+ps | grep --extended-regexp 'mozilla\-bin|iceape\-bin' > /dev/null 2>&1
+if [ $? -eq 0 ];then #=0 if found.
+ #exec /usr/lib/mozilla/mozilla-bin -remote "openURL($COMTAIL,new-tab)"
+ exec mozilla -remote "openURL($COMTAIL,new-tab)"
+else
+ #exec /usr/lib/mozilla/mozilla-bin $COMTAIL
+ exec mozilla $COMTAIL
+fi

Changes to woof-code/packages-templates/iceape/usr/local/bin/netscape

@@ -1,1 +1,1 @@
-
+mozstart

Changes to woof-code/packages-templates/iceape/usr/sbin/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/applications/SeaMonkey-Addressbook.desktop

@@ -1,1 +1,10 @@
-
+[Desktop Entry]
+Encoding=UTF-8
+Name=SeaMonkey Addressbook
+Icon=seamonkey16.xpm
+Comment=SeaMonkey Addressbook
+Exec=mozaddressbook
+Terminal=false
+Type=Application
+Categories=X-Personal
+GenericName=SeaMonkey Addressbook

Changes to woof-code/packages-templates/iceape/usr/share/applications/SeaMonkey-Composer-html-editor.desktop

@@ -1,1 +1,10 @@
-
+[Desktop Entry]
+Encoding=UTF-8
+Name=SeaMonkey Composer html editor
+Icon=seamonkey16.xpm
+Comment=SeaMonkey Composer html editor
+Exec=mozedit
+Terminal=false
+Type=Application
+Categories=X-Document
+GenericName=SeaMonkey Composer html editor

Changes to woof-code/packages-templates/iceape/usr/share/applications/SeaMonkey-mail-and-news.desktop

@@ -1,1 +1,10 @@
-
+[Desktop Entry]
+Encoding=UTF-8
+Name=SeaMonkey mail and news
+Icon=seamonkey16.xpm
+Comment=SeaMonkey mail and news
+Exec=mozmail
+Terminal=false
+Type=Application
+Categories=X-Internet
+GenericName=SeaMonkey mail and news

Changes to woof-code/packages-templates/iceape/usr/share/applications/SeaMonkey-web-browser.desktop

@@ -1,1 +1,10 @@
-
+[Desktop Entry]
+Encoding=UTF-8
+Name=SeaMonkey web browser
+Icon=seamonkey16.xpm
+Comment=SeaMonkey web browser
+Exec=mozilla
+Terminal=false
+Type=Application
+Categories=X-Internet
+GenericName=SeaMonkey web browser

Changes to woof-code/packages-templates/iceape/usr/share/bug/PLUSEXTRADIRS


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/US.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/classic.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/comm.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/content-packs.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/en-US.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/en-unix.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/help.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/abcardWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/addressbookWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/bmPropsWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/bookmark-window16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/chatzilla-window16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/downloadManager16.xpm

@@ -1,1 +1,87 @@
-
+/* XPM */
+static char *pixmap[] = {
+/* width height ncols cpp */
+"16 16 65 2",
+  /* Colors */
+  "00 c #D4DCE4",
+  "01 c #72A0CD",
+  "02 c #FF1200",
+  "03 c #74A2D0",
+  "04 c #3E5770",
+  "05 c #2E4154",
+  "06 c #6E9BC7",
+  "07 c #415B76",
+  "08 c #5F85AB",
+  "09 c #6086AC",
+  "0A c #45617D",
+  "0B c #7DAEE0",
+  "0C c #3D5770",
+  "0D c #7CAEE0",
+  "0E c #7BACDD",
+  "0F c #557799",
+  "10 c #6993BE",
+  "11 c #7AABDC",
+  "12 c #32465B",
+  "13 c #5C80A5",
+  "14 c #6D9AC5",
+  "15 c #5C81A6",
+  "16 c #709DCA",
+  "17 c #5B7FA4",
+  "18 c #6C97C2",
+  "19 c #587B9E",
+  "1A c #648CB3",
+  "1B c #78A8D9",
+  "1C c #5F84AB",
+  "1D c #73A1D0",
+  "1E c #34495F",
+  "1F c #6992BD",
+  "20 c #597DA1",
+  "21 c #FF0500",
+  "22 c #648CB5",
+  "23 c #79A9D9",
+  "24 c #3F5871",
+  "25 c #FFB400",
+  "26 c #2E4255",
+  "27 c #FF9400",
+  "28 c #FF9600",
+  "29 c #344A5F",
+  "2A c #5B80A4",
+  "2B c #5F86AC",
+  "2C c #405A73",
+  "2D c #648DB4",
+  "2E c #709ECA",
+  "2F c #B7D0E9",
+  "30 c #6892BC",
+  "31 c #7DB0E2",
+  "32 c #FF0100",
+  "33 c #FF7000",
+  "34 c #EE220A",
+  "35 c #6E9AC5",
+  "36 c #7DAFE1",
+  "37 c #6D99C4",
+  "38 c #FF0700",
+  "39 c #56789B",
+  "3A c #FFAD00",
+  "3B c #800000",
+  "3C c #577A9D",
+  "3D c #00CC66",
+  "3E c #000000",
+  "3F c #FFFFFF",
+  ".. s None c None",
+  "..012E06143C3C3C3C3C3C3C3C070A..",
+  "16013F3F3F3E3E3E3E3E3E3E3F3F1E12",
+  "373F2F310D3E3F3F3F3F3F3E082B3F29",
+  "1F3F0B36113E3F3D3D3D3F3E2A00153E",
+  "3C3F0E231D3E3F3D3D3D3F3E002C3E..",
+  "3C3F1B03183E3F3D3D3D3F3E0C3E3B..",
+  "3C3F0335223E3F3D3D3D3F3E3E3A3B..",
+  "3C3F06301C3E3F3D3D3D3F3E25273B..",
+  "3C3F101A173E3F3D3D3D3F3E28333B..",
+  "3C3F2D3E3E3E3F3D3D3D3F3E3E3E3B..",
+  "3C3F093E3F3D3D3D3D3D3D3D3F3E3B..",
+  "3C3F13203E3F3D3D3D3D3D3F3E343B..",
+  "3C3F1939003E3F3D3D3D3F3E02383B..",
+  "073F0F00043E3E3F3D3F3E0221323B..",
+  "24263F043E3B3B3E3F3E3B3B3B3B....",
+  "..05053E........3E..............",
+};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/editorWindow16.xpm

@@ -1,1 +1,77 @@
-
+/* XPM */
+static char *pixmap[] = {
+/* width height ncols cpp */
+"16 16 55 2",
+  /* Colors */
+  "00 c #FFFFFF",
+  "01 c #C0C0C0",
+  "02 c #BDCBDA",
+  "03 c #808080",
+  "04 c #77BEFF",
+  "05 c #65AFFC",
+  "06 c #57A1EE",
+  "07 c #70A7DC",
+  "08 c #7BA2C7",
+  "09 c #679CD1",
+  "0A c #6093CA",
+  "0B c #5A8DC2",
+  "0C c #3B80CB",
+  "0D c #5488BD",
+  "0E c #4E81B5",
+  "0F c #3376C0",
+  "10 c #4B7DB0",
+  "11 c #497AAC",
+  "12 c #4777AA",
+  "13 c #4271A3",
+  "14 c #406E9E",
+  "15 c #2869AF",
+  "16 c #2569AF",
+  "17 c #2365A9",
+  "18 c #2061A5",
+  "19 c #1E60A4",
+  "1A c #3E6C9C",
+  "1B c #3A6595",
+  "1C c #33608B",
+  "1D c #335E8B",
+  "1E c #21578F",
+  "1F c #2F5A87",
+  "20 c #2B5681",
+  "21 c #1B5B9E",
+  "22 c #175799",
+  "23 c #135395",
+  "24 c #104F90",
+  "25 c #0C4787",
+  "26 c #F9DC4D",
+  "27 c #FFFF00",
+  "28 c #FF8333",
+  "29 c #808000",
+  "2A c #D53F11",
+  "2B c #284F7A",
+  "2C c #274E79",
+  "2D c #214973",
+  "2E c #0D4070",
+  "2F c #1B4169",
+  "30 c #193E64",
+  "31 c #083767",
+  "32 c #002F69",
+  "33 c #712511",
+  "34 c #000024",
+  "35 c #000000",
+  ".. s None c None",
+  "..060F17222323222119181721251E..",
+  "0504........................3131",
+  "0C..02090B0E111112131A1C2B1F..1F",
+  "16..07270B11131426261D2C30081F34",
+  "19..0A35272701000000262D..1F35..",
+  "21..0D3527003529030000001F3433..",
+  "21..0E352901033535030003002A33..",
+  "21..10130000030035350300002633..",
+  "19..10260003000300353500263533..",
+  "17..12260000030003013535032833..",
+  "15..13352600000300030135350333..",
+  "17..1B1F3526000000260300353503..",
+  "17..202F..3526002635290300353503",
+  "24..1F081F3435263528352903003535",
+  "322E..1F343333353333333529030035",
+  "..343434................35290303",
+};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/findBookmarkWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/findHistoryWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/history-window16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/jsconsoleWindow16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/main-window16.xpm

@@ -1,1 +1,1 @@
-
+mozilla16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/messengerWindow16.xpm

@@ -1,1 +1,77 @@
-
+/* XPM */
+static char *pixmap[] = {
+/* width height ncols cpp */
+"16 16 55 2",
+  /* Colors */
+  "00 c #FFFFFF",
+  "01 c #BDCBDA",
+  "02 c #808080",
+  "03 c #77BEFF",
+  "04 c #65AFFC",
+  "05 c #57A1EE",
+  "06 c #70A7DC",
+  "07 c #7BA2C7",
+  "08 c #679CD1",
+  "09 c #6599CE",
+  "0A c #6093CA",
+  "0B c #5A8DC1",
+  "0C c #3B80CB",
+  "0D c #5488BD",
+  "0E c #4E81B5",
+  "0F c #3376C0",
+  "10 c #0000FF",
+  "11 c #4C7DB0",
+  "12 c #4A7BAE",
+  "13 c #4777AA",
+  "14 c #4271A3",
+  "15 c #2869AF",
+  "16 c #2569AF",
+  "17 c #2365A9",
+  "18 c #2061A5",
+  "19 c #1E60A4",
+  "1A c #3E6C9C",
+  "1B c #3A6595",
+  "1C c #33608B",
+  "1D c #335E8B",
+  "1E c #21578F",
+  "1F c #2F5A87",
+  "20 c #2B5681",
+  "21 c #1B5B9E",
+  "22 c #175799",
+  "23 c #135395",
+  "24 c #104F90",
+  "25 c #0C4787",
+  "26 c #000080",
+  "27 c #F9DC4D",
+  "28 c #008000",
+  "29 c #D53F11",
+  "2A c #FF0000",
+  "2B c #284F7A",
+  "2C c #274E79",
+  "2D c #214973",
+  "2E c #0D4070",
+  "2F c #1B4169",
+  "30 c #193E64",
+  "31 c #083767",
+  "32 c #002F69",
+  "33 c #712511",
+  "34 c #000024",
+  "35 c #000000",
+  ".. s None c None",
+  "..050F17222323222119181721251E..",
+  "0403........................3131",
+  "0C..01080B0E121035141A1C2B1F..1F",
+  "16..06090B12272700351D2C30071F34",
+  "19..0A0B112A00000027352D..1F35..",
+  "21..0D122700000000002A261F3433..",
+  "21..0E102700000200000027352933..",
+  "21..35270000000002000000103533..",
+  "19..35272700020000020000002726..",
+  "17..1335102700020000002828002A26",
+  "15..141B352727000200002828000035",
+  "17..1B1F1F262A2700000000002A35..",
+  "17..202F..1F352727000000003533..",
+  "24..1F071F34293510270010352933..",
+  "322E..1F34333333352A27353333....",
+  "..343434..........3526..........",
+};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/mozilla16.xpm

@@ -1,1 +1,83 @@
-
+/* XPM */
+static char * mozilla_xpm[] = {
+"16 16 64 1",
+" 	c #9C9C9A9AA5A5",
+".	c #A5A5BABACECE",
+"X	c #BDBDC3C3C6C6",
+"o	c #9C9CB2B2C6C6",
+"O	c #9494A6A6B5B5",
+"+	c #7B7B82828C8C",
+"@	c #FFFFFBFBFFFF",
+"#	c #F7F7F3F3EFEF",
+"$	c #EFEFEBEBEFEF",
+"%	c #DEDEE7E7F7F7",
+"&	c #D6D6E3E3EFEF",
+"*	c #D6D6DBDBE7E7",
+"=	c #C6C6E3E3F7F7",
+"-	c #BDBDCBCBE7E7",
+";	c #B5B5C7C7E7E7",
+":	c #A5A5C3C3DEDE",
+">	c #9C9CBEBEEFEF",
+",	c #9494B2B2D6D6",
+"<	c #8484A6A6D6D6",
+"1	c #94949A9AA5A5",
+"2	c #7B7B8A8A8C8C",
+"3	c #EFEFF3F3FFFF",
+"4	c #73739A9ABDBD",
+"5	c #5A5A8E8EC6C6",
+"6	c #29297D7DDEDE",
+"7	c #EFEFE3E3DEDE",
+"8	c #F7F7EFEFE7E7",
+"9	c #FFFFF7F7F7F7",
+"0	c #BDBDD3D3EFEF",
+"q	c #08085555C6C6",
+"w	c #D6D6D7D7D6D6",
+"e	c #D6D6D3D3D6D6",
+"r	c #39397171B5B5",
+"t	c #29296969ADAD",
+"y	c #10106969CECE",
+"u	c #00003C3CCECE",
+"i	c #00005959D6D6",
+"p	c #8484B2B2E7E7",
+"a	c #00004545A5A5",
+"s	c #00004141BDBD",
+"d	c #7B7BAEAEE7E7",
+"f	c #00006161DEDE",
+"g	c #4242A2A2EFEF",
+"h	c #00007171DEDE",
+"j	c #39397979BDBD",
+"k	c #000028289494",
+"l	c #D6D6E7E7FFFF",
+"z	c #42429696E7E7",
+"x	c #29299292DEDE",
+"c	c #18188A8AE7E7",
+"v	c #94949A9A9C9C",
+"b	c #ADADCBCBEFEF",
+"n	c #18187979E7E7",
+"m	c #29299292EFEF",
+"M	c #5A5AAEAEEFEF",
+"N	c #08086969CECE",
+"B	c #84848E8E9C9C",
+"V	c #5252C3C3F7F7",
+"C	c #B5B5EBEBF7F7",
+"Z	c #7373D7D7F7F7",
+"A	c #6B6B79798C8C",
+"S	c #10107171DEDE",
+"D	c #73738A8A9C9C",
+"F	c #73739292A5A5",
+" .X.XX..oooooOoX",
+"+@#$%%&*=-;:>,<1",
+"23-;;;>,,<<4456O",
+"2%,*7*787$#9@0q1",
+"204wwewe*8$#@=q1",
+"+:rtX7qy9$u0@>iO",
+"+pta78s5@0u3@df ",
+"+4ar##s>@pu@@gh1",
+"+jk59=ul@zf@@xcv",
+"+rkd@bu@@6x@@nmv",
+"+tk-@pi@@yM@3NgB",
+"+ra3@z6@@Nb@&NVB",
+"+jabCnzl>hd=ZcZ1",
+"AjsiiSShhzxxMZ=1",
+"ANynmmzggVVZZCCO",
+"XAADBDDDDDD5FF4w"};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/msgcomposeWindow16.xpm

@@ -1,1 +1,1 @@
-
+messengerWindow16.xpm

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/venkman-window16.xpm

@@ -1,1 +1,168 @@
-
+/* XPM */
+static char *pixmap[] = {
+/* width height ncols cpp */
+"16 16 146 2",
+  /* Colors */
+  "00 c #00CCA6",
+  "01 c #009376",
+  "02 c #09FFD2",
+  "03 c #F4E9D8",
+  "04 c #E9E9D8",
+  "05 c #FBFCFB",
+  "06 c #577A9D",
+  "07 c #21FFD6",
+  "08 c #F0F3F0",
+  "09 c #00AB8B",
+  "0A c #F3F7F9",
+  "0B c #F1F4F2",
+  "0C c #00F2C4",
+  "0D c #EEF1E9",
+  "0E c #21FED5",
+  "0F c #ECF0EE",
+  "10 c #90A7B6",
+  "11 c #6182A1",
+  "12 c #F3F6F6",
+  "13 c #00C9A3",
+  "14 c #2E4154",
+  "15 c #E7ECEC",
+  "16 c #F1F4F0",
+  "17 c #FFF8D8",
+  "18 c #07DDB4",
+  "19 c #23BE97",
+  "1A c #30302F",
+  "1B c #65757C",
+  "1C c #5C80A5",
+  "1D c #0AEEC3",
+  "1E c #9BBAD4",
+  "1F c #717678",
+  "20 c #009276",
+  "21 c #FAFBF9",
+  "22 c #FFF2D8",
+  "23 c #3F5871",
+  "24 c #E3E5E3",
+  "25 c #7490A8",
+  "26 c #B97355",
+  "27 c #F0F4F5",
+  "28 c #FFE289",
+  "29 c #2D2D2B",
+  "2A c #313131",
+  "2B c #05977A",
+  "2C c #309781",
+  "2D c #008C73",
+  "2E c #576771",
+  "2F c #00E1B8",
+  "30 c #F1F5F3",
+  "31 c #108268",
+  "32 c #7FA6CA",
+  "33 c #037865",
+  "34 c #14B792",
+  "35 c #067D65",
+  "36 c #343435",
+  "37 c #564E41",
+  "38 c #343431",
+  "39 c #D6D8D6",
+  "3A c #94AAB7",
+  "3B c #00C39E",
+  "3C c #0DB494",
+  "3D c #E9EEED",
+  "3E c #EEF1ED",
+  "3F c #D7DEE5",
+  "40 c #EDF2F3",
+  "41 c #1F1F17",
+  "42 c #007862",
+  "43 c #829DB2",
+  "44 c #F7F7F2",
+  "45 c #587B9E",
+  "46 c #404241",
+  "47 c #FFF6D8",
+  "48 c #D8E2DD",
+  "49 c #A0A084",
+  "4A c #A5C1D8",
+  "4B c #F0F3EF",
+  "4C c #EDF3F5",
+  "4D c #00E1B7",
+  "4E c #16FFD4",
+  "4F c #DAE6EA",
+  "50 c #ECEFEF",
+  "51 c #16B697",
+  "52 c #019577",
+  "53 c #C8906B",
+  "54 c #545655",
+  "55 c #F4F8FA",
+  "56 c #F9FAF8",
+  "57 c #2A9481",
+  "58 c #1E9E7B",
+  "59 c #19BB96",
+  "5A c #7F7F7F",
+  "5B c #51697E",
+  "5C c #DDEAEF",
+  "5D c #353535",
+  "5E c #72777A",
+  "5F c #EAF1F5",
+  "60 c #7995AC",
+  "61 c #557799",
+  "62 c #18B793",
+  "63 c #0CFED2",
+  "64 c #F1F4F1",
+  "65 c #07E3B8",
+  "66 c #5E5E5E",
+  "67 c #00CBA4",
+  "68 c #F0F4F3",
+  "69 c #FFF1D8",
+  "6A c #06C69F",
+  "6B c #3E5770",
+  "6C c #E2E5E0",
+  "6D c #1CFDD1",
+  "6E c #F4E8D7",
+  "6F c #000000",
+  "70 c #FFF9D8",
+  "71 c #545757",
+  "72 c #45617D",
+  "73 c #7D9CB7",
+  "74 c #02957A",
+  "75 c #F9FBFC",
+  "76 c #7592AA",
+  "77 c #1AFDD1",
+  "78 c #06967A",
+  "79 c #2E4255",
+  "7A c #F1F5F2",
+  "7B c #3EA493",
+  "7C c #8C7A5F",
+  "7D c #414241",
+  "7E c #FFF4D8",
+  "7F c #EFE5D6",
+  "80 c #7F9094",
+  "81 c #8FDDB3",
+  "82 c #F2F6F5",
+  "83 c #1DD6B6",
+  "84 c #A2B7C2",
+  "85 c #717679",
+  "86 c #FFEDD8",
+  "87 c #13FED2",
+  "88 c #01CCA6",
+  "89 c #7D98AD",
+  "8A c #45453E",
+  "8B c #F0F5F7",
+  "8C c #415B76",
+  "8D c #ACC2CF",
+  "8E c #00CCA7",
+  "8F c #262626",
+  "90 c #FFFFFF",
+  ".. s None c None",
+  "..5F4C1E32100F1576061160895B72..",
+  "4A8B669090908F909090909090901B2E",
+  "27907585555C0A8F408D3054467A906C",
+  "71900A5E7B83508F480B8F39247D8F..",
+  "3D5A1F311D63578F648F0808055644..",
+  "3A900A366587012C018F21050D8F8F8F",
+  "15904F123552010E0E425D8F8F1703..",
+  "0F8F12820B16786D772B3C59702826..",
+  "10908F8F8F2A3318517407074E346E..",
+  "1190680B164B1A010120672F02070981",
+  "069073843E8F050D295813000C020209",
+  "06901C43088F0D048F476A00000C0207",
+  "06904525058F04178F22193B00000C02",
+  "8C90613F80048F7E698F866213888E4D",
+  "2379906B4153377C037F8F0303092D8F",
+  "..14146F....38........8A49......",
+};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/icons/default/winInspectorMain16.xpm

@@ -1,1 +1,195 @@
-
+/* XPM */
+static char *pixmap[] = {
+/* width height ncols cpp */
+"16 16 173 2",
+  /* Colors */
+  "00 c #000000",
+  "01 c #FFFFFF",
+  "02 c #AEB4BB",
+  "03 c #34495F",
+  "04 c #32465B",
+  "05 c #2E4154",
+  "06 c #709DCA",
+  "07 c #6E9BC7",
+  "08 c #5F86AC",
+  "09 c #5C81A6",
+  "0A c #577A9D",
+  "0B c #46627F",
+  "0C c #45617D",
+  "0D c #415B76",
+  "0E c #3E5770",
+  "0F c #33475C",
+  "10 c #72A0CD",
+  "11 c #6D99C4",
+  "12 c #6992BD",
+  "13 c #5F85AB",
+  "14 c #557799",
+  "15 c #3F5871",
+  "16 c #67839F",
+  "17 c #7D9DBD",
+  "18 c #667F99",
+  "19 c #6E7882",
+  "1A c #7E8892",
+  "1B c #ABB4BD",
+  "1C c #D4DCE4",
+  "1D c #CACFD4",
+  "1E c #C1C2C3",
+  "1F c #BFC0C1",
+  "20 c #2E4255",
+  "21 c #344A5F",
+  "22 c #709ECA",
+  "23 c #6D9AC5",
+  "24 c #486581",
+  "25 c #405A73",
+  "26 c #7997B4",
+  "27 c #8EA6BD",
+  "28 c #788693",
+  "29 c #BDC3C8",
+  "2A c #B7BDC2",
+  "2B c #AFB2B4",
+  "2C c #8B9293",
+  "2D c #828B8C",
+  "2E c #A5B0B0",
+  "2F c #969D9D",
+  "30 c #BABDBD",
+  "31 c #CED1D1",
+  "32 c #929494",
+  "33 c #B3B4B4",
+  "34 c #9BB2B0",
+  "35 c #899594",
+  "36 c #A3AEAD",
+  "37 c #62918C",
+  "38 c #648783",
+  "39 c #99ACAA",
+  "3A c #9EB0AE",
+  "3B c #889291",
+  "3C c #F5FFFE",
+  "3D c #A6FFF3",
+  "3E c #A4FCF0",
+  "3F c #A6FEF2",
+  "40 c #9DF0E5",
+  "41 c #96E5DA",
+  "42 c #95E4D9",
+  "43 c #A7FDF1",
+  "44 c #94E1D7",
+  "45 c #8ED7CD",
+  "46 c #85C9C0",
+  "47 c #84C5BC",
+  "48 c #7EBBB3",
+  "49 c #7AB5AD",
+  "4A c #9DE8DE",
+  "4B c #699B94",
+  "4C c #74A9A2",
+  "4D c #B0FCF2",
+  "4E c #B3FEF4",
+  "4F c #A4E7DE",
+  "50 c #B6FFF5",
+  "51 c #AFEFE7",
+  "52 c #BCFFF6",
+  "53 c #B4F4EC",
+  "54 c #BCFAF2",
+  "55 c #A5DBD4",
+  "56 c #B5F0E8",
+  "57 c #C5FFF7",
+  "58 c #C0F7F0",
+  "59 c #A9D9D3",
+  "5A c #C9FFF8",
+  "5B c #C6FBF4",
+  "5C c #B5E4DE",
+  "5D c #CDFFF9",
+  "5E c #C7F7F1",
+  "5F c #D6FFFA",
+  "60 c #D7FFFA",
+  "61 c #DBFFFA",
+  "62 c #94ACA9",
+  "63 c #92A2A0",
+  "64 c #8F9F9D",
+  "65 c #EFFFFD",
+  "66 c #939B9A",
+  "67 c #9FF4E8",
+  "68 c #91DDD2",
+  "69 c #90DCD1",
+  "6A c #8DD7CC",
+  "6B c #64958E",
+  "6C c #73A8A0",
+  "6D c #B1FFF4",
+  "6E c #638F88",
+  "6F c #B8FFF5",
+  "70 c #BFFFF6",
+  "71 c #81A8A2",
+  "72 c #67827E",
+  "73 c #D3FFF8",
+  "74 c #D6FFF9",
+  "75 c #D8FFF9",
+  "76 c #DDFFFA",
+  "77 c #869996",
+  "78 c #93A7A4",
+  "79 c #92A6A3",
+  "7A c #9AADAA",
+  "7B c #E5FFFB",
+  "7C c #F1FFFD",
+  "7D c #F2FFFD",
+  "7E c #F8FFFE",
+  "7F c #6A8883",
+  "80 c #879996",
+  "81 c #9AACA9",
+  "82 c #E9FFFB",
+  "83 c #8F9594",
+  "84 c #A3A9A8",
+  "85 c #444746",
+  "86 c #97A19D",
+  "87 c #575E5B",
+  "88 c #9CA29E",
+  "89 c #A2A9A2",
+  "8A c #828A80",
+  "8B c #959790",
+  "8C c #686453",
+  "8D c #686454",
+  "8E c #494435",
+  "8F c #7E7764",
+  "90 c #877038",
+  "91 c #BA9E5A",
+  "92 c #FFAD00",
+  "93 c #C97600",
+  "94 c #EF991E",
+  "95 c #FF9400",
+  "96 c #9F7130",
+  "97 c #D16B00",
+  "98 c #FF7000",
+  "99 c #D15000",
+  "9A c #FF4900",
+  "9B c #FFA17D",
+  "9C c #AB2C00",
+  "9D c #FF2900",
+  "9E c #8C1500",
+  "9F c #FF877D",
+  "A0 c #800000",
+  "A1 c #690000",
+  "A2 c #5D0000",
+  "A3 c #590000",
+  "A4 c #460000",
+  "A5 c #DEBDBD",
+  "A6 c #EBEBEB",
+  "A7 c #D1D1D1",
+  "A8 c #D0D0D0",
+  "A9 c #BABABA",
+  "AA c #7D7D7D",
+  "AB c #656565",
+  ".. s None c None",
+  "..102207231B2A1D270A0A0A0A0D0C..",
+  "0610A6A8312E3A3630A9010101010304",
+  "11011F66345E5B5855791E1713080121",
+  "12337A515F7B82766056782B261C0900",
+  "0A845970617D3C7C7B755C83292500..",
+  "0A644F6D705A73657E7454631900A0..",
+  "1A804A6F526F50525D574E62AB92A0..",
+  "2877443D3D3D3D3D434D53819195A0..",
+  "1835476941673E3F40426C2F9498A0..",
+  "0A32724C48466A6845497F8F989AA0..",
+  "0A012D386E4B376B713B8D8E9B9DA0..",
+  "0AA7162C888639898A8C0000AA9FA0..",
+  "0AA7240B8B878590968E000000AAA5..",
+  "0D0114020F009397999C9E000000AA..",
+  "1520010E00A1A1A1A1A2A3A4000000AA",
+  "..050500..................000000",
+};

Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/installed-chrome.txt


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/messenger.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/pipnss.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/pippki.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/reporter.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/chrome/toolkit.jar


Changes to woof-code/packages-templates/iceape/usr/share/iceape/components/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/defaults/PLUSEXTRADIRS


Changes to woof-code/packages-templates/iceape/usr/share/iceape/defaults/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/greprefs/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/init.d/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/isp/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/dtd/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/entityTables/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/fonts/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/html/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/res/throbber/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/iceape/searchplugins/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/menu/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/usr/share/mozilla/PLUSEXTRADIRS


Changes to woof-code/packages-templates/iceape/usr/share/pixmaps/PLUSEXTRAFILES


Changes to woof-code/packages-templates/iceape/var/lib/seamonkey/chrome.d/00browser

@@ -1,1 +1,68 @@
-
+locale,install,url,jar:resource:/chrome/US.jar!/locale/US/navigator-region/
+locale,install,url,jar:resource:/chrome/US.jar!/locale/US/communicator-region/
+locale,install,url,jar:resource:/chrome/US.jar!/locale/US/global-region/
+locale,install,url,jar:resource:/chrome/US.jar!/locale/US/messenger-region/
+locale,install,url,jar:resource:/chrome/US.jar!/locale/US/editor-region/
+skin,install,url,jar:resource:/chrome/classic.jar!/skin/classic/communicator/
+skin,install,url,jar:resource:/chrome/classic.jar!/skin/classic/editor/
+skin,install,url,jar:resource:/chrome/classic.jar!/skin/classic/global/
+skin,install,url,jar:resource:/chrome/classic.jar!/skin/classic/messenger/
+skin,install,url,jar:resource:/chrome/classic.jar!/skin/classic/navigator/
+content,install,url,jar:resource:/chrome/comm.jar!/content/necko/
+content,install,url,jar:resource:/chrome/comm.jar!/content/xbl-marquee/
+content,install,url,jar:resource:/chrome/comm.jar!/content/navigator/
+content,install,url,jar:resource:/chrome/comm.jar!/content/navigator-region/
+content,install,url,jar:resource:/chrome/comm.jar!/content/navigator-platform/
+content,install,url,jar:resource:/chrome/comm.jar!/content/communicator-platform/
+content,install,url,jar:resource:/chrome/comm.jar!/content/communicator-region/
+content,install,url,jar:resource:/chrome/comm.jar!/content/communicator/
+content,install,url,jar:resource:/chrome/comm.jar!/content/branding/
+content,install,url,jar:resource:/chrome/comm.jar!/content/communicator/downloadmanager/
+content,install,url,jar:resource:/chrome/comm.jar!/content/cookie/
+content,install,url,jar:resource:/chrome/comm.jar!/content/mozldap/
+content,install,url,jar:resource:/chrome/comm.jar!/content/wallet/
+content,install,url,jar:resource:/chrome/comm.jar!/content/p3p/
+content,install,url,jar:resource:/chrome/comm.jar!/content/autoconfig/
+content,install,url,jar:resource:/chrome/comm.jar!/content/editor/
+content,install,url,jar:resource:/chrome/comm.jar!/content/editor-region/
+content,install,url,jar:resource:/chrome/content-packs.jar!/content/content-packs/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/necko/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/navigator/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/communicator/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/branding/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/global/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/cookie/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/pipnss/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/pippki/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/mozldap/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/messenger-smime/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/messenger/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/messenger-mapi/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/wallet/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/content-packs/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/help/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/p3p/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/autoconfig/
+locale,install,url,jar:resource:/chrome/en-US.jar!/locale/en-US/editor/
+locale,install,url,jar:resource:/chrome/en-unix.jar!/locale/en-US/navigator-platform/
+locale,install,url,jar:resource:/chrome/en-unix.jar!/locale/en-US/communicator-platform/
+locale,install,url,jar:resource:/chrome/en-unix.jar!/locale/en-US/global-platform/
+content,install,url,jar:resource:/chrome/help.jar!/content/help/
+skin,install,url,jar:resource:/chrome/modern.jar!/skin/modern/communicator/
+skin,install,url,jar:resource:/chrome/modern.jar!/skin/modern/editor/
+skin,install,url,jar:resource:/chrome/modern.jar!/skin/modern/global/
+skin,install,url,jar:resource:/chrome/modern.jar!/skin/modern/messenger/
+skin,install,url,jar:resource:/chrome/modern.jar!/skin/modern/navigator/
+content,install,url,jar:resource:/chrome/pipnss.jar!/content/pipnss/
+content,install,url,jar:resource:/chrome/pippki.jar!/content/pippki/
+locale,install,url,jar:resource:/chrome/reporter.jar!/locale/en-US/reporter/
+content,install,url,jar:resource:/chrome/reporter.jar!/content/reporter/
+skin,install,url,jar:resource:/chrome/reporter.jar!/skin/classic/reporter/
+content,install,url,jar:resource:/chrome/sroaming.jar!/content/sroaming/
+locale,install,url,jar:resource:/chrome/sroaming.jar!/locale/en-US/sroaming/
+skin,install,url,jar:resource:/chrome/sroaming.jar!/skin/modern/sroaming/
+skin,install,url,jar:resource:/chrome/sroaming.jar!/skin/classic/sroaming/
+content,install,url,jar:resource:/chrome/toolkit.jar!/content/global/
+content,install,url,jar:resource:/chrome/toolkit.jar!/content/global-platform/
+content,install,url,jar:resource:/chrome/toolkit.jar!/content/global-region/
+skin,install,select,classic/1.0

Changes to woof-code/packages-templates/seamonkey/usr/local/bin/mozedit

@@ -1,15 +1,15 @@
 #!/bin/sh
-
 #Puppy does not want more than one instance of Moz running.
+#120225 does not seem to be a problem anymore, can run Composer when browser already running.
 
 COMTAIL="$@"
 
-ps | grep --extended-regexp 'mozilla\-bin|seamonkey\-bin' > /dev/null 2>&1
-if [ $? -eq 0 ];then #=0 if found.
- xmessage "Please open Composer from Window menu of currently running Mozilla"
-else
+#ps | grep --extended-regexp 'mozilla\-bin|seamonkey\-bin' > /dev/null 2>&1
+#if [ $? -eq 0 ];then #=0 if found.
+# xmessage "Please open Composer from Window menu of currently running Mozilla"
+#else
  #exec /usr/lib/mozilla/mozilla-bin -edit $@
  COMTAIL="`echo -n "$COMTAIL" | sed -e 's/ /%20/g'`"
  [ "`echo "$COMTAIL" | grep "^file://"`" = "" ] && COMTAIL="file://${COMTAIL}"
- exec mozilla -edit $COMTAIL
-fi
+ exec seamonkey -edit $COMTAIL
+#fi

Changes to woof-code/support/2compat2pets

@@ -30,11 +30,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "debian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #w018 built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #110523 Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm" #110615
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}" #w478
 
 if [ ! -d packages-${BINARIES} ];then
  echo "Directory packages-${BINARIES} does not exist. Aborting."
  exit

Changes to woof-code/support/3compat2pets

@@ -45,11 +45,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "debian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #w018 built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #110523 Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm" #110615
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}" #w478
 
 #110908 remove comments from PKGS_SPECS_TABLE... make sure '|' on end... get rid of old |+udev,+whatever on end...
 PKGS_SPECS_TABLE="`echo "$PKGS_SPECS_TABLE" | grep -v '^#' | grep -v '^$' | tr '\t' ' ' | tr -s ' ' | tr '+' '&' | sed -e 's%|&.*%%' | tr '&' '+' | sed -e 's% #.*%%' -e 's% $%%' -e 's%$%|%' -e 's%||$%|%'`"
 

Changes to woof-code/support/findpkgs

@@ -79,11 +79,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm"
 [ "$DISTRO_BINARY_COMPAT" = "gentoo" ] && BINARIES="gentoo" #120515 download to packages-gentoo-gap6
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}"
 
 #the files that have compatible-distro pkg docs (these were downloaded by 0setup)...
 PKGLISTS_COMPAT="`echo "$PKG_DOCS_DISTRO_COMPAT" | tr ' ' '\n' | cut -f 3 -d '|' | tr '\n' ' '`" #see file DISTRO_PKGS_SPECS-ubuntu
 #...format ex: 'Packages-ubuntu-intrepid-main Packages-ubuntu-intrepid-universe'

Changes to woof-code/woof_gui_tabs

@@ -45,11 +45,11 @@
 [ "$DISTRO_BINARY_COMPAT" = "arch" ] && BINARIES="tar_gz" #download to packages-tar_gz-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "puppy" ] && BINARIES="pet" #built entirely from pet pkgs.
 [ "$DISTRO_BINARY_COMPAT" = "scientific" ] && BINARIES="rpm" #110523 Iguleder: download to packages-rpm-${DISTRO_COMPAT_VERSION}.
 [ "$DISTRO_BINARY_COMPAT" = "mageia" ] && BINARIES="rpm" #110615
 [ "$DISTRO_BINARY_COMPAT" = "gentoo" ] && BINARIES="gentoo" #120515 download to packages-gentoo-gap6
-[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb" #download to packages-deb-${DISTRO_COMPAT_VERSION}.
+[ "$DISTRO_BINARY_COMPAT" = "raspbian" ] && BINARIES="deb_raspbian" #download to packages-deb_raspbian-${DISTRO_COMPAT_VERSION}.
 BINARIES="${BINARIES}-${DISTRO_COMPAT_VERSION}"
 
 #run this stuff at first entry only...
 ALLPS="`ps`"
 if [ "`echo "$ALLPS" | grep 'gtkdialog -i ./woof_gui_tabs'`" = "" ];then

Changes to woof-distro/arm/raspbian/wheezy/DISTRO_PKGS_SPECS-raspbian-wheezy

@@ -46,10 +46,11 @@
 yes|asunder|asunder|exe,dev,doc,nls
 yes|atk|libatk1.0-0,libatk1.0-dev|exe,dev,doc,nls
 yes|atkmm|libatkmm-1.6-1,libatkmm-1.6-dev|exe,dev,doc,nls
 yes|attr|libattr1,libattr1-dev|exe,dev,doc,nls
 yes|audiofile|libaudiofile1,libaudiofile-dev|exe,dev,doc,nls
+yes|audit|libaudit0,libaudit-dev|exe,dev,doc,nls
 no|aufs|aufs-tools|exe,dev,doc,nls
 no|aufs3-util||exe
 yes|autoconf|autoconf|exe>dev,dev,doc,nls
 no|autologin||exe
 yes|automake|automake,autotools-dev|exe>dev,dev,doc,nls
@@ -126,11 +127,11 @@
 yes|docbook-xml|docbook-xml|exe>dev,dev,doc>dev,nls
 yes|dosfstools|dosfstools|exe,dev>null,doc,nls
 yes|dpkg-deb|dpkg|exe,dev>null,doc,nls
 yes|dvdauthor|dvdauthor|exe,dev,doc,nls
 yes|dvd+rwtools|dvd+rw-tools,growisofs|exe,dev,doc,nls
-yes|e2fsprogs|e2fsprogs,e2fslibs,e2fslibs-dev,libblkid1,libblkid-dev,libcomerr2,comerr-dev,libss2,ss-dev,libuuid1,uuid-dev|exe,dev,doc,nls
+yes|e2fsprogs|e2fsprogs,e2fslibs,e2fslibs-dev,libblkid1,libblkid-dev,libcomerr2,comerr-dev,libss2,ss-dev|exe,dev,doc,nls
 yes|ed|ed|exe,dev>null,doc,nls
 yes|edid|read-edid|exe,dev>null,doc,nls
 yes|eject|eject|exe,dev>null,doc,nls
 yes|elfutils|libelf1,libelf-dev|exe,dev,doc,nls| #note, libelf is a different pkg.
 yes|elspci||exe,dev>null,doc,nls
@@ -186,11 +187,11 @@
 yes|gconf|gconf2-common,gconf2,libgconf2-4,libgconf2-dev,libgconf-2-4,gconf-service|exe,dev,doc,nls
 yes|gdb|gdb|exe>dev,dev,doc,nls
 yes|gdbm|libgdbm3,libgdbm-dev|exe,dev,doc,nls
 yes|gdk-pixbuf|libgdk-pixbuf2.0-0,libgdk-pixbuf2.0-common,libgdk-pixbuf2.0-dev|exe,dev,doc,nls
 yes|gdmap|gdmap|exe,dev>null,doc,nls
-yes|geany|geany|exe,dev>null,doc,nls
+yes|geany|geany,geany-common,geany-plugins-common,geany-plugin-spellcheck|exe,dev>null,doc,nls
 no|geany||exe
 no|gecko-mediaplayer|gecko-mediaplayer|exe,dev,doc,nls
 no|gedit||exe
 yes|getcurpos||exe
 no|getdir||exe,dev>null,doc,nls| #what uses this?
@@ -293,10 +294,12 @@
 yes|installwatch||exe
 yes|intltool|intltool|exe>dev,dev,doc,nls
 yes|iptables|iptables,iptables-dev|exe,dev,doc,nls
 yes|isomaster|isomaster|exe,dev,doc,nls
 yes|jasper|libjasper1,libjasper-dev,libjasper-runtime|exe,dev,doc,nls
+no|jbig2dec|libjbig2dec0,libjbig2dec0-dev|exe,dev,doc,nls
+yes|jbigkit|libjbig0,libjbig-dev|exe,dev,doc,nls
 yes|jimtcl||exe
 yes|json-c|libjson0,libjson0-dev|exe,dev,doc,nls| #needed by mplayer.
 yes|jwm2||exe
 yes|jwmconfig2||exe
 yes|jwmthememaker||exe
@@ -383,10 +386,11 @@
 yes|libpcap|libpcap0.8,libpcap0.8-dev|exe,dev,doc,nls
 yes|libpciaccess|libpciaccess0,libpciaccess-dev|exe,dev,doc,nls
 yes|libpcsclite|libpcsclite1,libpcsclite-dev|exe,dev,doc,nls
 yes|libperl|libperl5.14,libperl-dev|exe,dev>null,doc,nls
 yes|libpng|libpng12-0,libpng12-dev|exe,dev,doc,nls
+yes|libpng15||exe,dev>null,doc,nls| #some apps in armv6 repo compiled in gentoo gap6 against libpng15, ex: jwm.
 yes|libpthread-stubs|libpthread-stubs0,libpthread-stubs0-dev|exe>dev,dev,doc,nls
 yes|libraw1394|libraw1394-11,libraw1394-dev|exe,dev,doc,nls
 yes|librsvg|librsvg2-2,librsvg2-dev,librsvg2-bin,librsvg2-common|exe,dev,doc,nls
 yes|libsamplerate|libsamplerate0,libsamplerate0-dev|exe,dev,doc,nls
 yes|libselinux|libselinux1|exe,dev>null,doc,nls
@@ -400,10 +404,11 @@
 yes|libstdc++6|libstdc++6,libstdc++6-4.6-dev|exe,dev,doc,nls
 yes|libtasn1|libtasn1-3,libtasn1-3-dev|exe,dev,doc,nls
 yes|libthai|libthai0|exe,dev,doc,nls| #have left out libthai-data and libthai-dev.
 yes|libtheora|libtheora0,libtheora-dev|exe,dev,doc,nls
 yes|libtiff|libtiff4,libtiff4-dev|exe,dev,doc,nls
+yes|libtiff5|libtiff5|exe,dev,doc,nls| #some apps need later lib.
 yes|libtool|libtool,autotools-dev|exe>dev,dev,doc,nls
 yes|libunistring|libunistring0,libunistring-dev|exe,dev,doc,nls
 yes|libusb|libusb-0.1-4,libusb-dev|exe,dev,doc,nls
 yes|libusb1|libusb-1.0-0,libusb-1.0-0-dev|exe,dev,doc,nls| #libusb1 necesssary for ffmpeg3
 yes|libva|libva1,libva-dev,libva-glx1,libva-egl1|exe,dev,doc,nls| #needed by mplayer.
@@ -483,12 +488,12 @@
 yes|nettle|libnettle4|exe,dev,doc,nls| #needed by libarchive.
 yes|network_tray||exe
 no|nicoedit||exe
 yes|normalize|normalize-audio|exe,dev,doc,nls
 no|notecase|notecase|exe,dev,doc,nls
-yes|nspr|libnspr4-0d,libnspr4-dev|exe,dev,doc,nls| #using seamonkey pkg with these built-in...
-yes|nss|libnss3-1d,libnss3-dev|exe,dev,doc,nls
+yes|nspr|libnspr4,libnspr4-dev|exe,dev,doc,nls|
+yes|nss|libnss3,libnss3-dev|exe,dev,doc,nls
 yes|ntfs-3g|ntfs-3g,ntfs-3g-dev|exe,dev,doc,nls
 yes|ntfsprogs|ntfsprogs,libntfs10,libntfs-dev|exe,dev,doc,nls
 yes|ntpdate||exe,dev,doc,nls| #needed by psync.
 yes|numlockx||exe,dev,doc,nls|
 no|obconf||exe,dev>null,doc,nls|+openbox
@@ -563,11 +568,11 @@
 yes|ppp|ppp|exe,dev>null,doc,nls
 yes|pprocess||exe
 yes|pptp|pptp-linux|exe,dev,doc,nls
 yes|precord||exe,dev,doc,nls
 no|prename||exe| #broken in precise puppy.
-yes|procps|procps|exe
+yes|procps|procps,libprocps0,libprocps0-dev|exe,dev,doc,nls
 yes|programchooser||exe| #used by wallpaper-setter.
 yes|pschedule||exe
 yes|psmisc|psmisc|exe,dev>null,doc,nls
 yes|pstopwatch||exe
 no|pstreamvid||exe
@@ -657,11 +662,11 @@
 yes|time|time|exe,dev>null,doc,nls
 no|transmission||exe,dev,doc,nls| #need to compile this.
 yes|truncate||exe
 yes|tslib|libts-0.0-0,libts-bin,libts-dev|exe,dev,doc,nls
 yes|udev_167||exe
-no|udev_lib|libudev0,libudev-dev|exe,dev,doc,nls
+yes|udev_lib|libudev0,libudev-dev|exe,dev,doc,nls
 no|uget||exe
 no|unclutter|unclutter|exe,dev>null,doc,nls
 yes|unclutter||exe,dev>null,doc,nls
 yes|unionfs_utils||exe
 yes|unrar|unrar-free|exe,dev,doc,nls
@@ -668,11 +673,11 @@
 yes|unzip|unzip|exe,dev>null,doc,nls
 no|urxvtset||exe| #needs urxvt, yad
 yes|usb-modeswitch||exe
 yes|usb-modeswitch-data||exe
 yes|usbutils|usbutils|exe,dev,doc,nls
-yes|util-linux|util-linux,mount|exe,dev,doc,nls| #very suspicious, util-linux-ng fdisk very slow, perhaps roll back to old pkg.
+yes|util-linux|util-linux,mount,libmount1,libmount-dev,libuuid1,uuid-dev,uuid-runtime|exe,dev,doc,nls| #very suspicious, util-linux-ng fdisk very slow, perhaps roll back to old pkg.
 no|util-linux||exe
 yes|vala|valac,valac-0.14,libvala-0.14-0|exe>dev,dev,doc>dev,nls
 no|valide||exe>dev,dev,doc>dev,nls
 yes|vamps|vamps|exe,dev,doc,nls
 no|vcdimager|vcdimager,libvcdinfo0,libvcdinfo-dev|exe,dev,doc,nls

Changes to woof-distro/arm/raspbian/wheezy/DISTRO_SPECS

@@ -1,14 +1,14 @@
 #One or more words that identify this distribution:
-DISTRO_NAME='Wheezy Arm Puppy'
+DISTRO_NAME='Wheezy Arm Raspbian Puppy'
 #version number of this distribution:
-DISTRO_VERSION=5.106
+DISTRO_VERSION=5.110
 #The distro whose binary packages were used to build this distribution:
 DISTRO_BINARY_COMPAT='raspbian'
 #Prefix for some filenames: exs: wap6save.2fs, wap6-4.99.0.sfs
-DISTRO_FILE_PREFIX='wap6'
+DISTRO_FILE_PREFIX='warp'
 #The version of the distro whose binary packages were used to build this distro:
 DISTRO_COMPAT_VERSION='wheezy'
 #the kernel pet package used:
 DISTRO_KERNEL_PET='linux_kernel-3.1.9-sap6-raspi-27jun2012.pet'
 #read by /usr/bin to bypass Xorg Wizard at first boot:
 DISTRO_XORG_AUTO='yes'

Changes to woof-distro/x86/Packages-puppy-common-official

@@ -72,13 +72,11 @@
 dietlibc_DOC-0.32-patched-t2-20110407|dietlibc_DOC|0.32-patched-t2-20110407||Develop|24K||dietlibc_DOC-0.32-patched-t2-20110407.pet||c library create small executables||||
 diffstat-1.47-pup4|diffstat|1.47-pup4||BuildingBlock|40K||diffstat-1.47-pup4.pet||filter output of diff utility|puppy|4||
 disktype-9-patched_pardus_bk|disktype|9-patched_pardus_bk||BuildingBlock|104K||disktype-9-patched_pardus_bk.pet||report specs of a device, compiled statically|puppy|||
 dmidecode-2.10-w5|dmidecode|2.10-w5||BuildingBlock|100K||dmidecode-2.10-w5.pet||Reports BIOS information according to the SMBIOSDMI standard|puppy|wary5||
 dmidecode_DOC-2.10-w5|dmidecode_DOC|2.10-w5||BuildingBlock|104K||dmidecode_DOC-2.10-w5.pet||Reports BIOS information according to the SMBIOSDMI standard|puppy|wary5||
-dpkg-deb-1.15.3.1-w5|dpkg-deb|1.15.3.1-w5||BuildingBlock|152K||dpkg-deb-1.15.3.1-w5.pet||The debian package manager|puppy|wary5||
-dpkg-deb_DOC-1.15.3.1-w5|dpkg-deb_DOC|1.15.3.1-w5||BuildingBlock|1592K||dpkg-deb_DOC-1.15.3.1-w5.pet||The debian package manager|puppy|wary5||
-dpkg-deb_NLS-1.15.3.1-w5|dpkg-deb_NLS|1.15.3.1-w5||BuildingBlock|6732K||dpkg-deb_NLS-1.15.3.1-w5.pet|+dpkg-deb|The debian package manager|puppy|wary5||
+dpkg-deb-1.16.4.3-w5c|dpkg-deb|1.16.4.3-w5c||BuildingBlock|152K||dpkg-deb-1.16.4.3-w5c.pet|+xz|The debian package manager, with xz support|puppy|wary5||
 e3-2.7.1-no_utf8|e3|2.7.1-no_utf8||Document|44K||e3-2.7.1-no_utf8.pet||e3 console editor||||
 e3_utf8-2.8|e3_utf8|2.8||Document|40K||e3_utf8-2.8.pet||e3 console editor||||
 ed-0.8|ed|0.8||BuildingBlock|96K||ed-0.8.pet||The GNU line editor|puppy|4||
 edid-1.4.1|edid|1.4.1||BuildingBlock|26K||edid-1.4.1.pet||probe monitor, used by xorgwizard|puppy|4||
 eject-2.1.0|eject|2.1.0||BuildingBlock|80K||eject-2.1.0.pet||Eject removable medias from their drives|puppy|4||

Changes to woof-distro/x86/pet-based/racy/DISTRO_PKGS_SPECS-puppy-wary5

@@ -133,11 +133,11 @@
 no|disktype|disktype|exe,dev>null,doc,nls
 yes|disktype||exe
 yes|dmidecode|dmidecode|exe,dev>null,doc,nls
 yes|docbookx|docbookx|exe>dev,dev,doc>dev,nls>dev
 yes|dosfstools|dosfstools|exe,dev>null,doc,nls
-yes|dpkg-deb|dpkg-deb|exe,dev>null,doc,nls
+yes|dpkg-deb||exe,dev>null,doc,nls| #pet in common repo supports xz.
 yes|dvdauthor|dvdauthor|exe,dev,doc,nls
 yes|dvd+rwtools|dvd+rwtools|exe,dev,doc,nls
 yes|e2fsprogs|e2fsprogs|exe,dev,doc,nls
 no|e2fsprogs||exe,dev,doc,nls
 yes|e3_utf8||exe,dev>null,doc,nls

Changes to woof-distro/x86/pet-based/wary/DISTRO_PKGS_SPECS-puppy-wary5

@@ -132,11 +132,11 @@
 no|disktype|disktype|exe,dev>null,doc,nls
 yes|disktype||exe
 yes|dmidecode|dmidecode|exe,dev>null,doc,nls
 yes|docbookx|docbookx|exe>dev,dev,doc>dev,nls>dev
 yes|dosfstools|dosfstools|exe,dev>null,doc,nls
-yes|dpkg-deb|dpkg-deb|exe,dev>null,doc,nls
+yes|dpkg-deb||exe,dev>null,doc,nls| #pet in common repo supports xz.
 yes|dvdauthor|dvdauthor|exe,dev,doc,nls
 yes|dvd+rwtools|dvd+rwtools|exe,dev,doc,nls
 yes|e2fsprogs|e2fsprogs|exe,dev,doc,nls
 no|e2fsprogs||exe,dev,doc,nls
 yes|e3_utf8||exe,dev>null,doc,nls